package jp.co.jid.collectionSample;

import java.util.ArrayList;
import java.util.HashMap;

public class GradesData03 {

	public static void main(String[] args) {
		// 03の解答
		System.out.println("-- 【演習⑩】03 --");
		Data02 data02 = new Data02();
		String[] nameArray = data02.getNames();
		int[] pointArray = data02.getPoints();
//		HashMap<String, ArrayList<Integer>> map = new HashMap<String, ArrayList<Integer>>();
//		for (int i = 0; i < nameArray.length; i++) {
//			String name = nameArray[i];
//			if (!map.containsKey(name)) {
//				map.put(name, new ArrayList<Integer>());
//			}
//			map.get(name).add(Integer.valueOf(pointArray[i]));
//		}
//		for (String name : map.keySet()) {
//			System.out.println(name + " : " + map.get(name));
//		}

		HashMap<String, ArrayList<Integer>> map2 = new HashMap<String, ArrayList<Integer>>();
		for (int i = 0; i < nameArray.length; i++) {
			if (!map2.containsKey(nameArray[i])) {
				ArrayList<Integer> list = new ArrayList<Integer>();
				for (int j = 0; j < nameArray.length; j++) {
					if (nameArray[i].equals(nameArray[j])) {
						list.add(pointArray[j]);
					}
				}
				map2.put(nameArray[i], list);
			}
		}
		for (String name : map2.keySet()) {
			System.out.println(name + " : " + map2.get(name));
		}
	}

}
